### Function

# Vips cache_get_max_files

#### Declaration [src]

    int
    vips_cache_get_max_files (
      void
    )

#### Description [src]

Get the maximum number of tracked files we allow before we start dropping cached operations. See `vips_tracked_get_files()`.

libvips only tracks file descriptors it allocates, it can’t track ones allocated by external libraries. If you use an operation like `vips_magickload()`, most of the descriptors it uses won’t be included.

See also

`vips_tracked_get_files()`.

#### Return value

Type: `int`

The maximum number of tracked files we allow.